If an Overlord is a Shaman who specializes in blood pledge wars, a Warcryer specializes in party play. A Warcryer uses a spell called Song of War to heal, increase the fighting spirit and the abilities of our forces, and, on the other hand he curses the opponents to disrupt them.
Of course they have offensive magic skills, increasing attack speed, evasion, critical attack power by party members, and they have skills that will decrease the ability of the opponents.
To be a Warcryer, your level must be over 40 and you need to collect the Mark of the Pilgrim, the Mark of Glory, and the Mark of the War Spirit.
Explanation of marks
Return